.App {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
}
/* App.css */

/* Conteneur principal */
.container {
  display: flex;
  gap: 20px;
  align-items: center;
  justify-content: center;
  padding: 20px;
}

/* Colonne de formulaire */
.column {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* Réduit la largeur du formulaire */
.form-column {
  max-width: 400px;
}

/* Conteneur pour le formulaire rendu */
.rendu-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

label {
    display: block;
    margin-bottom: 8px;
}

select,
textarea {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.checkboxes {
    display: flex;
    flex-direction: column;
}

.checkboxes label {
    margin-bottom: 10px; /* Espacement entre les checkboxes */
}

textarea {
    resize: vertical; /* Permet de redimensionner la hauteur */
}

/* Styles pour le conteneur des tags */
.tagsContainer {
    display: flex;
    flex-wrap: wrap; /* Permet aux boutons de passer à la ligne suivante */
    gap: 10px; /* Espacement entre les boutons */
}

/* Styles pour les boutons des tags */
.tagButton {
    background-color: #007bff; /* Couleur de fond */
    color: white; /* Couleur du texte */
    border: none; /* Pas de bordure */
    border-radius: 4px; /* Coins arrondis */
    padding: 8px 12px; /* Espacement interne */
    cursor: pointer; /* Changement de curseur au survol */
    transition: background-color 0.3s; /* Transition pour l'effet au survol */
}

/* Effet de survol */
.tagButton:hover {
    background-color: #0056b3; /* Couleur au survol */
}


/* Conteneur pour le slider */
.sliderContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  width: 100%;
  max-width: 400px; 
}

/* Boutons de navigation pour le slider */
.arrowButton {
  font-size: 24px;
  padding: 10px;
  background-color: rgba(0, 0, 0, 0.5); /* Fond semi-transparent */
  color: white;
  border: none;
  border-radius: 50%; /* Boutons ronds */
  cursor: pointer;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  transition: background-color 0.3s, transform 0.3s; /* Transition pour effets */
  z-index: 1;
}

.arrowButton.left {
  left: -20px; /* Ajuste la position à gauche */
}

.arrowButton.right {
  right: -20px; /* Ajuste la position à droite */
}

/* Effets au survol */
.arrowButton:hover {
  background-color: rgba(0, 0, 0, 0.7); /* Assombrit le fond au survol */
  transform: translateY(-50%) scale(1.1); /* Agrandit légèrement au survol */
}

/* Ajout d'une ombre pour les boutons */
.arrowButton:active {
  transform: translateY(-50%) scale(1); /* Réinitialise la taille quand on clique */
}

.imageContainer {
  position: relative;
  width: 100%;
  max-width: 300px;
  height: auto;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.image {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

/* Style pour le prompt */
.promptContainer {
  width: 100%;
  margin-top: 10px; /* Espace entre l'image et le prompt */
  text-align: left; /* Aligne le texte à gauche */
}

.promptTextarea {
  width: 100%;
  background-color: #f0f0f0;
}
